<%@ Page Language="C#" %>
<%@ Register TagPrefix="FTB" Namespace="FreeTextBoxControls" Assembly="FreeTextBox" %>

<script runat="server">

protected void Page_Load(Object Src, EventArgs E) {
	
	FreeTextBox1.ToolbarLayout = "bold,italic,underline";	
	FreeTextBox2.Toolbars = FreeTextBoxControls.ToolbarGenerator.ToolbarsFromString("bold,underline,italic");	
	
	Toolbar myToolbar = new Toolbar();	
	
	ToolbarButton myButton = new ToolbarButton("Verse","verse","FTB_Verse");
	myButton.ScriptBlock = @"
<scr" + @"ipt language=""JavaScript"">
function FTB_Verse(editor,htmlmode) {
	editor.focus();
	sel = editor.document.selection.createRange();
	sel.pasteHTML(""For God so loved the world that he gave his only son, so that whoever believed in him would not die, but have eternal life. John 3:16"");
}
</scr" + "ipt>";
	
	myToolbar.Items.Add(myButton);
	myToolbar.Items.Add(ToolbarItems.Indent);
	myToolbar.Items.Add(ToolbarItems.Outdent);	
	
	FreeTextBox3.Toolbars = FreeTextBoxControls.ToolbarGenerator.ToolbarsFromString("bold,underline,italic");	
	FreeTextBox3.Toolbars.Add(myToolbar);
}

</script>
<html>
	<head>
		<title>FreeTextBox</title>
	</head>
	<body>
		<form runat="server">
			<b><font face="arial" size=3><font color="green">Free</font>TextBox</font></b>
			<br>
			<font face="arial">
			<UL>
			
			<LI>Normal custom button set, using ToolbarLayout property.  The buttons are not actually created until runtime:<br>
			<code>
			FreeTextBox1.ToolbarLayout = "bold,italic,underline";
			</code>
			
			<FTB:FreeTextBox id="FreeTextBox1" ImageGalleryPath="images2" runat="server" Height="200px" Width="400px" />			
			<br>
			</LI>
			
			<LI>Optional second way to add buttons.  The buttons are actually added at this step:<br>
			<code>
			FreeTextBox2.Toolbars = FreeTextBoxControls.ToolbarGenerator.ToolbarsFromString("bold,underline,italic");	
			</code>
			
			<FTB:FreeTextBox id="FreeTextBox2" ImageGalleryPath="images2" runat="server" Height="200px" Width="400px" />
			<br>
			</LI>	
			
			<LI>Using ToolbarGenerator, then adding custom buttons: <br>
			<code>
	Toolbar myToolbar = new Toolbar();<br>
	
	ToolbarButton myButton = new ToolbarButton("Verse","verse","FTB_Verse");<br>
	<br>
	myButton.ScriptBlock = @"<br>
&lt;scr" + @"ipt language=""JavaScript""&gt;<br>
function FTB_Verse(editor,htmlmode) {<br>
&nbsp;&nbsp;&nbsp;&nbsp;editor.focus();<br>
&nbsp;&nbsp;&nbsp;&nbsp;sel = editor.document.selection.createRange();<br>
&nbsp;&nbsp;&nbsp;&nbsp;sel.pasteHTML(""my custom verse text"");<br>
}<br>
&lt;/scr" + "ipt&gt;";<br>
<br>
myToolbar.Items.Add(myButton);<br>
myToolbar.Items.Add(ToolbarItems.Indent);<br>
myToolbar.Items.Add(ToolbarItems.Outdent);<br>

FreeTextBox3.Toolbars = FreeTextBoxControls.ToolbarGenerator.ToolbarsFromString("bold,underline,italic");<br>
FreeTextBox3.Toolbars.Add(myToolbar);
			</code>
			
			<FTB:FreeTextBox id="FreeTextBox3" runat="server" Height="200px" Width="400px" />			
			</LI>				

		</form>
	</body>
</html>